@startuml

!theme crt-green
skinparam backgroundColor #000000
skinparam nodesep 100
skinparam ranksep 100
skinparam edgesep 100
skinparam linetype ortho

class ResourcePermission {
   resourcePermissionId: bigint(20)
   ctCollectionId: bigint(20)
   --
   companyId: bigint(20) <FK>
   roleId: bigint(20) <FK>
   ownerId: bigint(20) <FK>
   name: varchar(255) <PFK>
   primKey: varchar(255) <PFK>
   primKeyId: bigint(20) <PFK>
   mvccVersion: bigint(20)
   scope: int(11)
   actionIds: bigint(20)
   viewActionId: tinyint(4)
}
class SAPEntry {
   sapEntryId: bigint(20)
   --
   companyId: bigint(20) <FK>
   userId: bigint(20) <FK>
   uuid_: varchar(75)
   userName: varchar(75)
   createDate: datetime(6)
   modifiedDate: datetime(6)
   allowedServiceSignatures: longtext
   defaultSAPEntry: tinyint(4)
   enabled: tinyint(4)
   name: varchar(75)
   title: longtext
}

ResourcePermission }o----o| SAPEntry : name + primKey

@enduml
